[cpp-sp] 68/78: Unregister the shib module on package removal

Scott Cantor cantor.2 at osu.edu
Thu Dec 20 19:40:43 EST 2018


This is an automated email from the git hooks/post-receive script.

scantor pushed a commit to annotated tag debian/2.0.dfsg1-1
in repository cpp-sp.

View the commit online:
http://git.shibboleth.net/view/?p=cpp-sp.git;a=commit;h=e4cb37164dce5ec1ab7e0e38f9a0e3d39196e835

commit e4cb37164dce5ec1ab7e0e38f9a0e3d39196e835
Author: Russ Allbery <rra at debian.org>
AuthorDate: Wed Jun 25 17:20:28 2008 -0700

    Unregister the shib module on package removal
---
 debian/libapache2-mod-shib2.prerm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/debian/libapache2-mod-shib2.prerm b/debian/libapache2-mod-shib2.prerm
new file mode 100755
index 0000000..f7fef59
--- /dev/null
+++ b/debian/libapache2-mod-shib2.prerm
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ] ; then
+    a2dismod shib || true
+fi
+
+#DEBHELPER#
+
+exit 0

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the commits mailing list